Upload data to job
Uploads data to kickstart asynchronous processing of the job. Requires placeholder job to be created. Limit of 100MB per request.
Status of the job can be checked using the /v3/aftermarket/customers/{customerId}/jobs/{jobId} endpoint.
Once processing has finished, results can be retrieved using the /v3/aftermarket/customers/{customerId}/jobs/{jobId}/results endpoint.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
jobId*stringA unique identifier for the job
uuidcustomerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"X-Request-Id?stringA unique identifier for the request
The data to upload for the asynchronous job. Limit of 100MB and file/data should be in CSV format. Supports multiple Content-Types.
- body
file*unknownCSV file to upload
No data is returned when the data is uploaded successfully to the job for asynchronous processing.
curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/upload' \ -F 'file=null'